### Name: create.fourier.basis
### Title: Create a Fourier Basis
### Aliases: create.fourier.basis
### Keywords: smooth

### ** Examples


# set up the Fourier basis for the monthly temperature data,
#  using 9 basis functions with period 12 months.
monthbasis <- create.fourier.basis(c(0,12), 9, 12.0)
#  plot the basis
plot(monthbasis)




